Subject: HTTP Draft-p1 and http scheme definition

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 01 May 2011 18:58:31 +0300

Greetings,

The first mention of http URI scheme in IETF document (RFC) appeared in 
RFC 1945 (HTTP 1.0 specification).  Then, it remained unchanged (or was 
present with minor changes) in RFC 2068 and finally 2616.  RFC 2616 
appeared long before RFC 4395, that outlined the registration procedures 
for URI schemes.  What I'm pointing to?

The http scheme was never given a formal registration template, per RFC 
4395.  Its definition of current HTTP draft-p1 remains the same as in 
RFC 2616.  However, RFC 4395 requests the registration template for 
permanent registrations, that is missing in this draft.

The same concerns https scheme, also defined in p1.

Thus I propose to add them (templates) for these URI schemes in order to 
suit the requirements of RFC 4395 for permanent registrations.  Any 
thoughts on it?

Mykyta Yevstifeyev

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 2 May 2011 11:54:07 +1000

Considering that the registry entry is present, fully populated, and we're just asking them to update the reference (see <http://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-14#section-10.2>), I don't see a need to include the full template. 

On 02/05/2011, at 1:58 AM, Mykyta Yevstifeyev wrote:

> Greetings,
> 
> The first mention of http URI scheme in IETF document (RFC) appeared in RFC 1945 (HTTP 1.0 specification).  Then, it remained unchanged (or was present with minor changes) in RFC 2068 and finally 2616.  RFC 2616 appeared long before RFC 4395, that outlined the registration procedures for URI schemes.  What I'm pointing to?
> 
> The http scheme was never given a formal registration template, per RFC 4395.  Its definition of current HTTP draft-p1 remains the same as in RFC 2616.  However, RFC 4395 requests the registration template for permanent registrations, that is missing in this draft.
> 
> Thus I propose to add them (templates) for these URI schemes in order to suit the requirements of RFC 4395 for permanent registrations.  Any thoughts on it?
> 
> Mykyta Yevstifeyev

--
Mark Nottingham   http://www.mnot.net/

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 02 May 2011 06:57:14 +0300

02.05.2011 4:54, Mark Nottingham wrote:
> Considering that the registry entry is present, fully populated, and we're just asking them to update the reference (see<http://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-14#section-10.2>), I don't see a need to include the full template.
This would be OK in the case if such template were already present 
somewhere.  However IANA registered these schemes before RFC 4395 and 
even RFC 2717 had appeared.  So I think adding the templates is 
necessary to remove this inaccuracy.

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 2 May 2011 13:58:00 +1000

The template is just a means to populate the registry; the definitive record is the registry itself.

On 02/05/2011, at 1:57 PM, Mykyta Yevstifeyev wrote:

> This would be OK in the case if such template were already present somewhere.  However IANA registered these schemes before RFC 4395 and even RFC 2717 had appeared.  So I think adding the templates is necessary to remove this inaccuracy.
>>

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 02 May 2011 08:38:09 +0300

> The template is just a means to populate the registry; the definitive record is the registry itself.
I see what you mean.  However I propose to mention the template because 
there was no such template ever written.  This is to better suit 4395 
requirements for permanent registrations, even though your document just 
updates an existing registration.